.animation-main {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.5s ease, opacity 0.5s ease;
}

.animation-main.hidden {
    transform: scale(0);
    opacity: 0;
}

/*===== CURTAINS =====*/
#openCurtain.hidden {
    transform: scale(0);
    opacity: 0;
}

.curtain {
    position: fixed;
    top: 0;
    width: 50%;
    height: 100%;
    z-index: 10;
    transition: transform 1.5s ease-in-out;
}

.curtain.left {
    left: 0;
    transform: translateX(0);
}

.curtain.right {
    right: 0;
    transform: translateX(0);
}

.open.left {
    transform: translateX(-100%);
}

.open.right {
    transform: translateX(100%);
}

.open-btn {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    font-size: 1.3em;
    font-weight: bold;
    border: none;
    border-radius: 30px;
    padding: 15px 40px;
    cursor: pointer;
    z-index: 20;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    transition: background 0.3s ease;
    animation: shake 1.5s infinite;
}

@keyframes shake {
    0%,
    100% {
        transform: translateX(-50%) rotate(0deg);
    }

    20% {
        transform: translateX(-50%) rotate(-3deg);
    }

    40% {
        transform: translateX(-50%) rotate(2deg);
    }

    60% {
        transform: translateX(-50%) rotate(-1deg);
    }

    80% {
        transform: translateX(-50%) rotate(3deg);
    }
}